Page MenuHomePhabricator

Switch Kartotherian back to upstream xmldoc
Closed, ResolvedPublic

Description

Right now, kartotherian/module-loader uses Yuri's fork at https://github.com/nyurik/xmldoc - however, the issue (CDATA support) that he forked it for appears to have been resolved in upstream too, so we should de-fork.

Event Timeline

MaxSem created this task.Feb 9 2017, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2017, 6:25 PM
debt added a subscriber: debt.

Moving off the sprint board - the Discovery team won't be able to do this work at this time.

MaxSem updated the task description. (Show Details)Feb 16 2018, 7:51 PM
Abbe98 added a subscriber: Abbe98.Apr 27 2018, 2:30 PM

I've started poking at this and it will be at least a bit of work. But before starting that: do we still need an XML loading affordance, now that we've moved to loading sources and styles from YAML?

We still have XmlLoader, so as long as we have that we need to keep using xmldoc, so we're keeping this open.

Jhernandez triaged this task as Normal priority.Jul 10 2018, 4:48 PM
Mholloway closed this task as Resolved.Nov 20 2018, 9:09 PM
Mholloway claimed this task.

The xmldoc dep was dropped in favor of libxmljs in T177019.